
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Efficient Color Boundary Detection with Color-opponent Mechanisms算法学习笔记 / iVAN</title>

    <meta name="description" content="Efficient Color Boundary Detection with Color-opponent Mechanisms算法学习笔记 这是一篇基于视觉颜色机制的边缘检测论文,原文分中文和英文版 中文版链接:中文版PDF 英文版链接:英文版PDF 项目主页:http://www.neuro.uestc.edu.cn/vccl/projcvpr2013.html 以下是我个人学习该算法后的理解,希望各位看官批评指正! 整个算法可分为以下几步: 1.输入一张彩色图像 2. 分别提取R-G-B三种颜色信息,并计算Y颜色信息,进行高斯滤波得到 3.设置连接权重ω ,通过式(1)得到R+wG和wR+G两种连接权值的的结果 $$Srg.Sg">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Efficient Color Boundary Detection with Color-opponent Mechanisms算法学习笔记</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>这是一篇基于视觉颜色机制的边缘检测论文，原文分中文和英文版<br />
中文版链接：<a href="http://www.neuro.uestc.edu.cn/vccl/papers/%E6%9D%A8%E5%BC%80%E5%AF%8C-CVPR2013-%E5%9F%BA%E4%BA%8E%E8%A7%86%E8%A7%89%E9%A2%9C%E8%89%B2%E6%8B%AE%E6%8A%97%E7%89%B9%E6%80%A7%E7%9A%84%E8%BD%AE%E5%BB%93%E6%A3%80%E6%B5%8B%E6%A8%A1%E5%9E%8B.pdf" rel="external nofollow noreferrer">中文版PDF</a><br />
英文版链接：<a href="http://www.cv-foundation.org/openaccess/content_cvpr_2013/papers/Yang_Efficient_Color_Boundary_2013_CVPR_paper.pdf" rel="external nofollow noreferrer">英文版PDF</a></p>
<p>项目主页：<a href="http://www.neuro.uestc.edu.cn/vccl/projcvpr2013.html" rel="external nofollow noreferrer">http://www.neuro.uestc.edu.cn/vccl/projcvpr2013.html</a></p>
<pre><code>以下是我个人学习该算法后的理解，希望各位看官批评指正！
</code></pre>
<p>整个算法可分为以下几步：</p>
<hr>
<br />1、输入一张彩色图像</p>
<hr>
<br />2、 分别提取R-G-B三种颜色信息，并计算Y颜色信息，进行高斯滤波得到<a href="https://oss.aliyuncs.com/yqfiles/88c8a838463a1c2c8744b36835873be30c5a10b6.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL29zcy5hbGl5dW5jcy5jb20veXFmaWxlcy84OGM4YTgzODQ2M2ExYzJjODc0NGIzNjgzNTg3M2JlMzBjNWExMGI2LnBuZw==.jpg"></a></p>
<hr>
<br />3、设置连接权重ω ，通过式（1）得到R+wG和wR+G两种连接权值的的结果 $$S<sub>rg</sub>、S<sub>gr</sub>$$（II层中处理），B-Y两个通道类似，可得到四个中间结果$$S<sub>rg</sub>、S<sub>gr</sub>、S<sub>by</sub>、S<sub>yb</sub> $$ <br /><a href="https://oss.aliyuncs.com/yqfiles/db4b096c84eddc50f57cd8f477920342d3050c93.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL29zcy5hbGl5dW5jcy5jb20veXFmaWxlcy9kYjRiMDk2Yzg0ZWRkYzUwZjU3Y2Q4ZjQ3NzkyMDM0MmQzMDUwYzkzLnBuZw==.jpg"></a></p>
<hr>
<br />4、III层（Cortex layer）对II层中的结果$$S<sub>rg</sub>、S<sub>gr</sub>、S<sub>by</sub>、S<sub>yb</sub>$$   进行计算，公式如（6）所示：<br /><a href="https://oss.aliyuncs.com/yqfiles/295903002095d19ff76cb7faaf19641da17723b7.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL29zcy5hbGl5dW5jcy5jb20veXFmaWxlcy8yOTU5MDMwMDIwOTVkMTlmZjc2Y2I3ZmFhZjE5NjQxZGExNzcyM2I3LnBuZw==.jpg"></a><br />
 其中：$$S<sub>r-g+</sub>=-S<sub>r+g-</sub> $$ <br />
$$N<sub>r+g-</sub>、N<sub>r-g+</sub>$$ 分别表示V1层神经元R-on/G-off 和 R-off/G-on的RF（由公式（3）（4）（5）得到的RF）。<br /><a href="https://oss.aliyuncs.com/yqfiles/0b0ed651bbe9f5010ed1afc6690f603a1cd4d389.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL29zcy5hbGl5dW5jcy5jb20veXFmaWxlcy8wYjBlZDY1MWJiZTlmNTAxMGVkMWFmYzY2OTBmNjAzYTFjZDRkMzg5LnBuZw==.jpg"></a><br />
而<br /><a href="https://oss.aliyuncs.com/yqfiles/7698ce8cdfe6f50810581406efa5b6b7bed692e7.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL29zcy5hbGl5dW5jcy5jb20veXFmaWxlcy83Njk4Y2U4Y2RmZTZmNTA4MTA1ODE0MDZlZmE1YjZiN2JlZDY5MmU3LnBuZw==.jpg"></a></p>
<hr>
<br />取分母为16，则θ<sub>i</sub>取[0,2π]之间相隔π/8的16个角度，由（6）式会得到16个<a href="https://oss.aliyuncs.com/yqfiles/3e6aaaeec586879f849a8298d5ae9733e4f8e1a9.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL29zcy5hbGl5dW5jcy5jb20veXFmaWxlcy8zZTZhYWFlZWM1ODY4NzlmODQ5YTgyOThkNWFlOTczM2U0ZjhlMWE5LnBuZw==.jpg"></a>结果，对应于16（程序中只用到了8个角，0到π）个不同朝向θ<sub>i</sub>的滤波器结果，这个D(x,y)是对四个拮抗通道其中之一进行计算的结果，所以，四个通道会得到四组相应的D(x,y)。</p>
<hr>
<br />四组D(x,y)值，通过（8）式，每组取其中的最大值可得到对应于四个通道的四个D(x,y)，并对其进行线性归一化，将四个通道的响应归一化到[0,1]<br /><a href="https://oss.aliyuncs.com/yqfiles/061b04738dddcfcb77e10d82eb53a0c761a86abf.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL29zcy5hbGl5dW5jcy5jb20veXFmaWxlcy8wNjFiMDQ3MzhkZGRjZmNiNzdlMTBkODJlYjUzYTBjNzYxYTg2YWJmLnBuZw==.jpg"></a></p>
<hr>
<br />输出四个归一化后的D(x,y)。</p>
<hr>
<br />5、最终的轮廓响应为r(x,y)，如公式（9）所示，r(x,y)是对步骤4中的D(x,y)取最大值的结果。<br /><a href="https://oss.aliyuncs.com/yqfiles/8f922a35db797d4552bcb3fec267b45044d00ad0.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL29zcy5hbGl5dW5jcy5jb20veXFmaWxlcy84ZjkyMmEzNWRiNzk3ZDQ1NTJiY2IzZmVjMjY3YjQ1MDQ0ZDAwYWQwLnBuZw==.jpg"></a></p>
<hr>
<pre><code>以下是我个人对作者代码的理解
</code></pre>
<hr>
<br />流程图如下所示<br /><a href="https://oss.aliyuncs.com/yqfiles/d5c8f19813cc21148dfd1b821f89324cb1d2fefb.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL29zcy5hbGl5dW5jcy5jb20veXFmaWxlcy9kNWM4ZjE5ODEzY2MyMTE0OGRmZDFiODIxZjg5MzI0Y2IxZDJmZWZiLnBuZw==.jpg"></a></p>
<hr>
<br />主要函数功能为</p>
<hr>
<br />1、<code>Gaus(sgm)sgm为sigma值，返回一个滤波矩阵</code></p>
<hr>
<br />2、<code>SingleOpponent( map,opponent,sigma,weights )</code><br />
参数：<code>opponent</code>为RG或BY两个值之一，分别代表两对拮抗通道<br />
过程：对<code>R、G、B、Y</code>四个通道进行滤波，再计算<code>R’+w<em>G’、w</em>R’+G’、B’+w<em>Y’、w</em>B’+Y’</code>，分别对应$$S<sub>rg</sub>、S<sub>gr</sub>、S<sub>by</sub>、S<sub>yb</sub>$$<br />
返回：$$S<sub>rg</sub>、S<sub>gr</sub>、S<sub>by</sub>、S<sub>yb</sub>$$</p>
<hr>
<br />3、<code>DivGauss2D( sigma,seta )，seta为不通滤波器的朝向，返回一个滤波矩阵</code></p>
<hr>
<br />4、<code>conByfft( img,tpl )</code><br />
参数：<code>img</code>为$$S<sub>rg</sub>、S<sub>gr</sub>、S<sub>by</sub>、S<sub>yb</sub>$$四个其中之一， tpl 为 DivGauss2D( )返回的结果进行归一化<br />
过程：对img进行填充、傅里叶及其逆变换等处理<br />
返回：与img相同大小的矩阵，即为$$D<sub>rg</sub>(θ<sub>i</sub>)、D<sub>gr</sub> (θ<sub>i</sub> )、D<sub>by</sub> (θ<sub>i</sub>)、D<sub>yb</sub> (θ<sub>i</sub>)$$</p>
<hr>
<br />5、<code>OrientedDoubleOpponent( map,opponent,sigma,angles,weights )</code><br />
过程：调用<code>SingleOpponent()、DivGauss2D()、conByfft()</code><br />
返回：返回$$D<sub>rg</sub>、D<sub>gr</sub>、D<sub>by</sub>、D<sub>yb</sub>$$</p>
<hr>
<br />6、<code>resDO( map,sigma,angles,weights )</code><br />
过程：$$D<sub>rg</sub>、D<sub>gr</sub>、D<sub>by</sub>、D<sub>yb</sub>$$都是x<em>y</em>8（如果angles设为8）的矩阵，即八组$$D<sub>rg</sub>(θ<sub>i</sub>)、D<sub>gr</sub>(θ<sub>i</sub>)、D<sub>by</sub>(θ<sub>i</sub>)、D<sub>yb</sub>(θ<sub>i</sub>)$$取八组$$D<sub>rg</sub>(θ<sub>i</sub>)$$数据中每个 （x , y）点对应的最大值作为新的$$CB<sub>rg</sub>$$其他三组数据相同，其中$$CB<sub>rg</sub>( : , : )$$是$$D<sub>rg</sub>$$中的最大值，而Orients(:,:,1)是$$D<sub>rg</sub>$$中最大值在矩阵中的位置$$CB<sub>rg</sub>、CB<sub>gr</sub>、CB<sub>by</sub>、CB<sub>yb</sub>$$分别代表四个通道得到的边缘矩阵，对每个像素点，取四个通道中的最大边缘值作为 <code>Re ( : , : )</code> ，取该值在原矩阵中对应的<code>angles</code>值为<code>theta( : , : )</code>。<br />
返回：<code>Re ( : , : )</code>和<code>theta( : , : )</code>矩阵，<code>Re</code>即为初步的边缘矩阵。</p>
<hr>
<br />7、<code>nonmax(im,theta)</code><br />
参数：<code>im</code>为<code>resDO()</code>的返回值Re进行归一化，<code>theta</code>为<code>resDO()</code>的返回值theta进行角度变换<br />
过程：A点在方向1上有最大边界值a，而在方向1上相邻的两个点B,C也有计算得到的边界值b，但是a小于等于b，这说明A点的边界比B、C点的边界强度低，那么真正的边界应该是在B或C处取得，所以应该令A点处的边界值为0，这样可以保留最合适的边界点。<br />
返回：返回比输入<code>im</code>小一个像素圈大小的边缘矩阵<code>im</code></p>
<hr>
<br />8、<code>COBoundary(map,sigma,angles,weights)</code><br />
参数：<code>map</code>为处理的图像，<code>sigma、angles、weights</code>为设置的参数（此算法需要设置的所有参数就是这三个） <br />
过程：调用<code>resDO()、nonmax()，对nonmax()</code>中得到的<code>im</code>进行边缘填充0，得到最终的边界矩阵<code>fb</code><br />
返回：最终的轮廓矩阵<code>fb</code></p>
<hr>
<pre><code>最后，我只想说，格式好难调，文中有些格式确实不好看，还请见谅！
</code></pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-28 13:17:53</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%af%b9%e8%b1%a1%e5%ad%98%e5%82%a8oss/" title="对象存储OSS">对象存储OSS</a>, <a href="https://www.iamivan.net/tag/%e8%be%b9%e7%bc%98%e6%a3%80%e6%b5%8b/" title="边缘检测">边缘检测</a>, <a href="https://www.iamivan.net/tag/%e5%9b%be%e5%83%8f%e5%a4%84%e7%90%86%e7%ae%97%e6%b3%95/" title="图像处理算法">图像处理算法</a>, <a href="https://www.iamivan.net/tag/%e8%a7%86%e8%a7%89%e9%a2%9c%e8%89%b2%e6%9c%ba%e5%88%b6/" title="视觉颜色机制">视觉颜色机制</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Efficient Color Boundary Detection with Color-opponent Mechanisms算法学习笔记的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgKKB6M.html" rel="bookmark">Dojo学习笔记 9&period; dojo&period;graphics&period;color &amp;amp&semi;amp&semi; dojo&period;uri&period;Uri</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				模块:dojo.graphics.color 下面是dojo里定义的颜色名称 dojo.graphics.color.named.white//白色 dojo.graphics.color.named.black//黑色 dojo.graphics.color.named.red//红色 dojo.graphics.color.named.green//绿色 dojo.graphics.color.named.blue//蓝色 dojo.graphics.color.named.navy//海军			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvrqwrM.html" rel="bookmark">Color&period;js增强你对颜色的控制</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				往逝之因 不要低头,皇冠会掉...  可你又没有皇冠 Color.js 增强你对颜色的控制 阅读目录 轻松管理颜色--color.js库 使用color.js Accessor Methods 你该知道的设计学知识 Color Methods Conversion and Construction Color.js是一个能加强前端开发中对颜色处理的第三方库. 假设你已经基本了解色彩通道.色彩空间.色相.饱和度.亮度.不透明度等概念.当然了,毕竟前端算是半只脚踏进设计领域了,相信这些概念难不到你.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgVOqBb.html" rel="bookmark">java实现颜色Color对象和16进制之间的转换</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				package com.tsxs.test; import java.awt.Color; public class TestColor { public static void main(String[] args) { System.out.println(toHexFromColor(Color.BLUE)); System.out.println(toColorFromString(toHexFromColor(Color.BLUE))); } /** * Color对象转换成字符串 *			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJkoVJb.html" rel="bookmark">&lbrack;Silverlight&rsqb;16进制颜色转ARGB及Color转Int32</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				http://www.cnblogs.com/024hi/archive/2009/09/28/1576040.html [Silverlight]16进制颜色转ARGB及Color转Int32 16进制色字符串转ARGB 做Web的都喜欢用16进制字符串标识颜色,比如&quot;#F5F5F5&quot;这类的,自然这个到了Silverlight/WPF中就要用ARGB表示:&quot;#FFF5F5F5&quot;(前两位标识Alpha,即透明度).这在XAML中没有任何问题,可是如果我们想在代码中设			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7Z5d4p.html" rel="bookmark">android的color值</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:http://blog.csdn.net/xinke87/article/details/6675114 &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot; ?&gt; &lt;resources&gt; &lt;color name=&quot;white&quot;&gt;#FFFFFF&lt;/color&gt;&lt;!--白色 --&gt; &lt;color name=&quot;ivory&quot;&gt;#FFFF			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8AX03z.html" rel="bookmark">vb&period;net 函数或子程序的可选参数如何 传递color？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 问题,vb.net函数或子程序的可选参数如何传递color?SubchangebBackcolor(OptionalbackcolorAsColor=Color.Black)......EndSub 我这样写报错,高手能给指正一下吗? 解决方案 解决方案二:用重载吧,可选参数必须是常量解决方案三:回复shingoscar:我该如何使用重载呢?(我是新手)能贴下代码吗解决方案四:重载,就是几个函数的名称相同而参数不同.解决方案五:回复zj_zwl:谢谢,我再研究研究.解决方案六:或者把颜			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmVle5z.html" rel="bookmark">jquery获取css的color值返回RGB的方法&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了jquery获取css的color值返回RGB的方法.分享给大家供大家参考,具体如下: css代码如下: a, a:link, a:visited { color:#4188FB; } a:active, a:focus, a:hover { color:#FFCC00; } js代码如下: var link_col = $(&quot;a:link&quot;).css(&quot;color&quot;); alert(link_col); // returns rgb(65, 136,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJe61Jp.html" rel="bookmark">COLORREF&comma;COLOR&comma;RGB&comma;CString的转化总结分析&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.COLORREF与RGB的相互转化RGB(r,g,b)是一个宏实际上它做得事是((COLORREF)(((BYTE)(r)|((WORD)((BYTE)(g))&lt;&lt;8))|(((DWORD)(BYTE)(b))&lt;&lt;16))) rgb(r,g,b)   =   一个整型值   =   r   +   g   *   256   + b*255*256   COLORREF 是 一 个 32-bit 整 型 数 值,它 代 表 了 一 种 颜 色.你 可以 使 用 RGB 函 数			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZm67Op.html" rel="bookmark">android&colon;background&equals;&amp;amp&semi;quot&semi;&commat;color&sol;white&amp;amp&semi;quot&semi; &lbrack;create file color&period;xml at res&sol;values&sol;&rsqb;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				﻿﻿ &lt;resources&gt; &lt;color name=&quot;white&quot;&gt;#FFFFFF&lt;/color&gt;&lt;!--白色 --&gt; &lt;color name=&quot;ivory&quot;&gt;#FFFFF0&lt;/color&gt;&lt;!--象牙色 --&gt; &lt;color name=&quot;lightyellow&quot;&gt;#FFFFE0&lt;/color&gt;&lt;!--亮黄色 --&gt; &lt;			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPNNAb.html" rel="bookmark" class="title">genymotion下载需要下载虚拟机吗？</a>
					<div>
						问题描述 genymotion下载需要下载虚拟机吗? genymotion下载需要下载自带的虚拟机吗?还是直接的genymotion就行?? 解决方案 下载了genymotion之后还要下载Oracl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqRjap.html" rel="bookmark" class="title">第一次打开Photoshop时的基本设置</a>
					<div>
						1.自定义工作区,自定义快捷键: (1)PS备份自定义工作区文件: C:\Users\smyhvae\AppData\Roaming\Adobe\Adobe Photoshop CC 2015\Ado ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1r03p.html" rel="bookmark" class="title">vs2008 父窗口 子窗口-vs2008怎么分隔窗口？？</a>
					<div>
						问题描述 vs2008怎么分隔窗口?? 最近用vs2008生成了一个windows窗口应用程序,并且通过主窗口可以浏览视屏,但是想通过数据分隔父窗口来显示不同的视屏,应该怎么样分隔和获取子窗体的句柄? ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boqxdp.html" rel="bookmark" class="title">asp&period;net MVC项目中 没有easyui插件的智能提示</a>
					<div>
						问题描述 asp.net MVC项目中 没有easyui插件的智能提示 5C vs2015 中的mvc4项目,已经分别把jQuery.min.js jquery.easyui.min.jseasyui ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9WZ4z.html" rel="bookmark" class="title">页面&lpar;PAGE&rpar;标记&lpar;TAGS&rpar;</a>
					<div>
						页面 HTML 文件结构(Document Structures) &lt;html&gt;...&lt;/html&gt;&lt;head&gt;...&lt;/head&gt;&lt;body&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyyYkM.html" rel="bookmark" class="title">实战：周杰伦明星站的锻造过程</a>
					<div>
						过程 选择明星:周杰伦先做个调查,同专题论坛 关健词排前的论坛,作详记录和细分析,www.jaycn.com,www.jayfc.com,调查,其开站时间,如会员,贴数,给自己定一个短期目标,继而到长 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlk6Yb.html" rel="bookmark" class="title">ASP&period;NET 2&period;0基于SQLSERVER 2005的aspnetdb&period;mdf部署</a>
					<div>
						asp.net|server|sqlserver 由于本人机器上仅安装SQLSERVER2005,而没有装SQLSERVER  EXPRESS,于是在部署user profile时遇到了aspnetd ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAZmnp.html" rel="bookmark" class="title">用VB在桌面建立快捷方式</a>
					<div>
						下面的代码向你演示在VB中如何创建一个快捷方式. Private Declare Function fCreateShellLink Lib &quot;STKIT432.DLL&quot; (ByV ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNJVZb.html" rel="bookmark" class="title">设计REST风格的MVC框架</a>
					<div>
						Java 开发者对 MVC 框架一定不陌生,从 Struts 到 WebWork,Java MVC 框 架层出不穷.我们已经习惯了处理 *.do 或 *.action 风格的 URL,为每一个 URL ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVno9Vz.html" rel="bookmark" class="title">ASP中js左侧多级菜单动态的解决方案</a>
					<div>
						 昨晚想搞一个js菜单,搞了一个晚上都没弄出来.后来百度了下,有点狂汗~~~ 实现的效果很简单,就是点一下显示,再点一下就隐藏,只不过是多了几级的问题.好,现在来说说我的设计思路,首先从第一级别开始, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKnvOp.html" rel="bookmark" class="title">光速输入法那些你不知道的小功能</a>
					<div>
						  光速输入法的基本使用与大多数的输入法没有很大差别,但是在很多小功能的使用上还不为大家所熟悉,今天小编就为大家详细介绍那些被大家忽视但却异常好用的小功能,提高打字效率. 快速切换输入模式 有些用户会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9EexXM.html" rel="bookmark" class="title">微信公众号历史发布信息获取</a>
					<div>
						问题描述 微信公众号历史发布信息获取 我有个微信公众号,和一个网站, 我要在我的网站上显示我公众号实时发布的消息.请问如何可以做到? 解决方案 这好办 当你通过微信每发一条消息出去后,都记入自己的数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE67ZJM.html" rel="bookmark" class="title">Android中Fragmen首选项使用自定义的ListPreference的方法&lowbar;Android</a>
					<div>
						首选项这个名词对于熟悉Android的朋友们一定不会感到陌生,它经常用来设置软件的运行参数. Android提供了一种健壮并且灵活的框架来处理首选项.它提供了简单的API来隐藏首选项的读取和持久化,并 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lj35b.html" rel="bookmark" class="title">《Photoshop Lightroom4 经典教程》&mdash;第1课1&period;4节Lightroom工作流程</a>
					<div>
						1.4 Lightroom工作流程 Photoshop Lightroom4 经典教程 使用Lightroom的模块化界面可以轻松地管理工作流程中的每个阶段(从图像获取到最终输出). 导入:Light ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRjYDz.html" rel="bookmark" class="title">梦想总是要有的，万一实现了呢？（转）</a>
					<div>
						8月初的时候接到一个项目,做微信定制开发的,由于是兼职,有持续一周的时间,每天晚上和朋友加班到晚上3.4点,第二天又正常上班.而且之前没做过定制开发(甲方要求用户体验高.很多细节的技术还要即时攻尖), ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqA14eM.html" rel="bookmark" class="title">mac-Mac下mysql提示&num;2002 - No such file or directory</a>
					<div>
						问题描述 Mac下mysql提示#2002 - No such file or directory 10.10的时候可以使用的,更新到10.11就不能了,求各位大神赐教. 解决方案 MACOS下用架设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAxPZM.html" rel="bookmark" class="title">opencv-请教大神labview调用dll怎么输出数组</a>
					<div>
						问题描述 请教大神labview调用dll怎么输出数组 怎么让labview中数组 data输出为1,2,3,4呢					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZE9YYp.html" rel="bookmark" class="title">Android Studio 初始新建项目时 build gradle project 超级慢的原因</a>
					<div>
						今天项目崩溃重新新建,结果发现又奇慢无比,第一次用android studio的时候也遇到这个问题,这次也是等了近 半个小时才搞定,通过查看网络数据信息发现是 android studio 正在从美国 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqR2O2p.html" rel="bookmark" class="title">节点背景颜色-treelist。怎么改变根节点所在行的背景色。</a>
					<div>
						问题描述 treelist.怎么改变根节点所在行的背景色. 解决方案 http://blog.sina.com.cn/s/blog_5c68ccb801017f8c.html					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4WgJz.html" rel="bookmark" class="title">搭建FTP服务器（一）：小进步</a>
					<div>
						昨天晚上经过我8个小时的奋斗,终于把server-u FTP服务器弄的有点 眉目了. 具体操作步骤如下: 1.安装server-u服务器,我安装的server-u 9.2版本的.具体的安装步骤我就不一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRPV7b.html" rel="bookmark" class="title">派生类对象如何访问基类的基类中被隐藏的同名函数成员</a>
					<div>
						问题描述 派生类对象如何访问基类的基类中被隐藏的同名函数成员 #include &lt;iostream&gt; using namespace std; class Base0{ public: i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEne3M.html" rel="bookmark" class="title">nginx-Nginx中的ip&lowbar;hash算法能起到负载均衡的目的吗？</a>
					<div>
						问题描述 Nginx中的ip_hash算法能起到负载均衡的目的吗? 请问使用ip-hash算法能否起到负载均衡的目的??因为ip-hash算法是根据客户端的ip进行计算,得出相应的key,之后分配给后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRWXwb.html" rel="bookmark" class="title">全球勒索病毒只是开胃小菜？黑客组织称将放出更多军火级别网络武器</a>
					<div>
						一个黑客组织准备发起一场,可能是史上最引人注目的网络军火公开售卖活动.有网络安全从业人士告诉雷锋网(公众号:雷锋网),如果消息属实,这次的勒索病毒只能算个开胃菜,接下来的才是真正的主菜!     ▲泄 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAYA6p.html" rel="bookmark" class="title">java 获取request请求要素</a>
					<div>
						Java Web,如何获取request中的请求参数呢? Java代码   /***       * Get request query string       * @param request   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKQ52z.html" rel="bookmark" class="title">钓鱼攻击工具包Angler Exploit Kit已感染超过90&comma;000个网站</a>
					<div>
						近期,Palo Alto Networks的分析报告显示,Angler Exploit Kit的持续感染已经导致超过90000个网站被攻破,且大多数网站在Alexa(网站的世界排名)排名的前十万中.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxYeq7p.html" rel="bookmark" class="title">自学vb&period;net，遇到理解不了的难题（treeview&rpar;，来求助大家了，谢谢~~</a>
					<div>
						问题描述 大家好,本来不懂编程,由于工作的需要,所以自己上网找了很多代码做参考尝试的做软件用大多数功能所涉及到的控件.代码,理解或者生搬硬套的,勉强算是完成了现在遇到了一个各实在理解不上去的地方,害羞 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5WeVM.html" rel="bookmark" class="title">《libGDX移动游戏开发从入门到精通》一2&period;4　日志工具</a>
					<div>
						2.4 日志工具 众所周知,日志在调试程序的时候起着非常重要的作用.这一节我们就来对比学习Android中的日志工具与libGDX中的日志工具. 2.4.1 Android中的日志等级及输出方法 在A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40Om1z.html" rel="bookmark" class="title">点滴的积累---J2SE学习小结</a>
					<div>
						点滴的积累---J2SE学习小结         什么是J2SE         J2SE就是Java2的标准版,主要用于桌面应用软件的编程:包含那些构成Java语言核心的类.比如:数据库连接.接口定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5xZEp.html" rel="bookmark" class="title">c&num; 记录软件操作日志</a>
					<div>
						问题描述 记录用户操作信息,新增记录记录一下主要的信息:修改的话,记录哪个字段从什么值改为什么值:删除的话,删除了哪一条.等 解决方案 解决方案二:可以研究一下LOG4net.解决方案三:引用1楼So ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Jlr3z.html" rel="bookmark" class="title">关于DevComponents&period;AdvTree 的问题</a>
					<div>
						问题描述 求教,有一个DevComponents.AdvTree,在添加节点的时候设置了勾选框可见,我现在想像WINFORM自带的tree那样,只在点击节点文字时触发AfterNodeSelect之类 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
